DRM_ATOMIC_CHECK_ONL(9)

NAME
drm_atomic_check_only - check whether a given config would work

SYNOPSIS

int drm_atomic_check_only(struct drm_atomic_state * state);

ARGUMENTS

state
    atomic configuration to check

DESCRIPTION

Note that this function can return -EDEADLK if the driver needed to acquire more locks but encountered a deadlock. The caller must then do the usual w/w backoff dance and restart. All other errors are fatal.

RETURNS

0 on success, negative error code on failure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT